Docs Ideogram /ideogram/generate
API reference

Vincentian picture

Generate images based on text prompt words (Ideogram V2 API). Generates images synchronously based on a given prompt and optional parameters. For specific parameters, please see the official documentation:…

POST/ideogram/generate

Body Parametersapplication/json

image_request* object

Image request object (required)

properties
aspect_ratio* string

Image aspect ratio (optional) Optional values: ASPECT_10_16/ASPECT_16_10/ASPECT_9_16/ASPECT_16_9/ASPECT_3_2/ASPECT_2_3/ASPECT_4_3/ASPECT_3_4/ASPECT_1_1/ASPECT_1_3/ASPECT_3_1

color_palette* object

Color palette (optional)

magic_prompt_option* string

Whether to use MagicPrompt (optional) Optional values: AUTO/ON/OFF

model* string

Model used (optional) Default V_2, optional values: V_1/V_1_TURBO/V_2/V_2_TURBO

negative_prompt* string

Backword (optional) to describe content you do not want to appear in the image

num_images* integer

Number of generated images (optional) Range: 1-8, default 1

prompt* string

Prompt word used to generate the image (required)

resolution* string

Resolution (optional) Optional values ​​include multiple resolution combinations from 512x1536 to 1536x640

seed* integer

Random seed (optional) Range: 0-2147483647

style_type* string

Style type (optional) Optional values: AUTO/GENERAL/REALISTIC/DESIGN/RENDER_3D/ANIME

Responses

200 application/json
response-200 object
properties
created* string

Creation time (Unix timestamp)

data* array

Data payload (often Base64 or a structured object)

400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example Vincentian picture
1{
2"image_request": {
3"aspect_ratio": "ASPECT_1_1",
4"color_palette": {
5"name": "PASTEL"
6},
7"magic_prompt_option": "AUTO",
8"model": "V_2",
9"negative_prompt": "",
10"num_images": 1,
11"prompt": "A minimalist logo design for a coffee shop",
12"resolution": "1024x1024",
13"seed": 1785282233,
14"style_type": "DESIGN"
15}
16}
Code Sample cURL
1curl -X POST "https://api.digislash.com/ideogram/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"image_request": {
6"aspect_ratio": "ASPECT_1_1",
7"color_palette": {
8"name": "PASTEL"
9},
10"magic_prompt_option": "AUTO",
11"model": "V_2",
12"negative_prompt": "",
13"num_images": 1,
14"prompt": "A minimalist logo design for a coffee shop",
15"resolution": "1024x1024",
16"seed": 1785282233,
17"style_type": "DESIGN"
18}
19}'
Response
1▼{
2"created": "2024-12-15T17:32:00.965408Z",
3▼"data": [
4▶{ 5 keys }
5]
6}